<div class="mt-4 rounded w-100 p-4 mt-4">
    <h2>Cambio de Responsable</h2>
    <form [formGroup]="form" autocomplete="off" (ngSubmit)="form.valid ">
        <div class="row">
            <div class="col-md-3">
                <mat-form-field class="w-100" appearance="fill">                    
                    <mat-label >Nro Flujo : </mat-label>
                    <input matInput
                        type="text"                              
                        placeholder="Nro. Flujo"                  
                        formControlName="idflujo">
                    <mat-error *ngIf="form.controls['idflujo'].hasError('required')"
                                class="form-control-feedback">
                        Nro. Flujo es requerido
                    </mat-error>
                </mat-form-field>
            </div>
            <div class="col-md-3">
                <button type="submit" class="w-100"
                    [disabled]="!form.valid "
                    mat-button
                    (click)="consultar()"
                    color="primary">CONSULTAR</button>    
            </div>
        </div>
        <div class="row">
            <table class="table table-bordered table-striped table-hover" *ngIf="sw==true">
            <tbody>
                <tr>                  
                    <td class="table-info"><b>Flujo : {{flujo_usuario.idflujo}}</b></td>                  
                 
                </tr>
                <tr>                  
                    <td class="table-info"><b>Responsable :</b> {{flujo_usuario.nombreUsuario}}</td>                  
                    <td class="table-info"><b>Inicio de Trámite : </b> {{flujo_usuario.fecha_inicio}}</td>
                    <td class="table-info"><b>Descripción : </b> {{flujo_usuario.descripcion}}</td>
                </tr>
                <tr [ngStyle]="{'background-color': flujo_usuario.color}">                  
                    <td class="table-info"><b>Tarea :</b> {{flujo_usuario.nombreTarea}}</td>                  
                    <td class="table-info"><b>Fecha Asignación : </b> {{flujo_usuario.fecha_alta}}</td>
                    <td ><b>Días Transcurridos : {{flujo_usuario.dias_transcurridos}}</b> </td>
                  </tr>
                </tbody>
              </table>
             
             
        </div>        
    </form>
    <form [formGroup]="form2" autocomplete="off" (ngSubmit)="form2.valid " *ngIf="sw==true">
        <div class="row">
            <div class="col-md-4    ">
                <mat-form-field class="w-100" appearance="fill">
                    <mat-label>Seleccione Nuevo Usuario : </mat-label>                       
                    <mat-select formControlName="usuarionuevo">
                        <mat-option value="">-- Seleccione --</mat-option>
                        <mat-option *ngFor="let usuario of usuarios" value="{{usuario.idusuario}}">{{usuario.nombreusuario}}</mat-option>
                    </mat-select>
                </mat-form-field>
            </div>
            <div class="col-md-3">
                <button mat-button color="primary" [disabled]="!form2.valid" (click)="cambiarResponsable()">Cambiar Responsable</button>
                      <!-- <a href="#" [routerLink]="['/post/', post.id, 'view']" class="btn btn-info">View</a>
                      <a href="#" [routerLink]="['/post/', post.id, 'edit']" class="btn btn-primary">Edit</a>
                      <button type="button" (click)="deletePost(post.id)" class="btn btn-danger">Delete</button> -->
            </div>
          </div>
    </form>
</div>